Skip to main content
`Ctrl`+`K`

# FNDestroy

Destroys an `FN` context that was created with `FNCreate()`.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNDestroy(FN *fn)

Collective

## Input Parameter

- fn - the math function context

## See Also

FN: Mathematical Functions, `FNCreate()`

## Level

beginner

## Location

src/sys/classes/fn/interface/fnbasic.c

## Examples

src/nep/tutorials/ex42.c
src/nep/tutorials/ex27.c
src/mfn/tutorials/ex39.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex22.c
src/nep/tutorials/ex22f.F90

## Implementations

FNDestroy_Combine() in src/sys/classes/fn/impls/combine/fncombine.c
FNDestroy_Phi() in src/sys/classes/fn/impls/phi/fnphi.c
FNDestroy_Rational() in src/sys/classes/fn/impls/rational/fnrational.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages